import Vue from 'vue'
import Router from "vue-router";
Vue.use(Router);

// process.env.VUE_APP_Host;


export default new Router({
    // mode: 'history',
    // base: process.env.BASE_URL,
    routes: [
        {
            path: "*",
            redirect: {
                name: "login"
            },
            
        },
        {
            path: "/shopDetails",
            name: "shopDetails",
            meta: {
                title: "商品详情"
            },
            component: () => import("./views/shopDetails.vue")
        },
        {
            path: "/deteOrder",
            name: "deteOrder",
            meta: {
                title: "确认订单"
            },
            component: () => import("./views/deteOrder.vue")
        },
        {
            path: "/memberJF",
            name: "memberJF",
            meta: {
                title: "会员积分"
            },
            component: () => import("./views/memberJF.vue")
        },
        {
            path: "/MCenter",
            name: "MCenter",
            meta: {
                title: "会员中心"
            },
            component: () => import("./views/MCenter.vue")
        },
        {
            path: "/IntegralOrder",
            name: "IntegralOrder",
            meta: {
                title: "积分订单"
            },
            component: () => import("./views/IntegralOrder.vue")
        },
        // {
        //     path: "/IntegralOrderdetails",
        //     name: "IntegralOrderdetails",
        //     meta: {
        //         title: "积分订单详情"
        //     },
        //     component: () => import("./views/IntegralOrderdetails.vue")
        // },
        {
            path: "/IntegralOrdercopyJF",
            name: "IntegralOrdercopyJF",
            meta: {
                title: "订单详情"
            },
            component: () => import("./views/IntegralOrdercopyJF.vue")
        },
        {
            path: "/vIpIntegralOrderdetails",
            name: "vIpIntegralOrderdetails",
            meta: {
                title: "VIP订单详情"
            },
            component: () => import("./views/vIpIntegralOrderdetails")
        },
        {
            
            path: "/logistics",
            name: "logistics",
            meta: {
                title: "物流信息"
            },
            component: () => import("./views/logistics.vue")
        },
        {
            path: "/binding",
            name: "binding",
            meta: {
                title: "绑定手机号"
            },
            component: () => import("./views/binding.vue")
        },
        {
            path: "/login",
            name: "login",
            meta: {
                title: "首页登陆"
            },
            component: () => import("./views/login.vue")
        },
        {
            path: "/Integralinfo",
            name: "Integralinfo",
            meta: {
                title: "积分订单详情"
            },
            component: () => import("./views/Integralinfo.vue")
        }
    ]
});